## uhd 4.7.0.0%2Bds1

=== host/examples/rfnoc-example/lib/CMakeLists.txt ===
#
# Copyright 2019 Ettus Research, a National Instruments Brand
#
# SPDX-License-Identifier: GPL-3.0-or-later
#

########################################################################
# Setup library
########################################################################
#include(GrPlatform) #define LIB_SUFFIX

# List any C++ sources here. If there are no sources (e.g., because there
# is no block controller), then this directory will be skipped.
list(APPEND rfnoc_example_sources
    gain_block_control.cpp
)
if(NOT rfnoc_example_sources)
    MESSAGE(STATUS "No C++ sources... skipping lib/")
    return()
endif()

########################################################################
# Setup the include and linker paths
########################################################################
include_directories(
    ${CMAKE_SOURCE_DIR}/lib
    ${CMAKE_SOURCE_DIR}/include
    ${CMAKE_BINARY_DIR}/lib
    ${CMAKE_BINARY_DIR}/include
    ${UHD_INCLUDE_DIRS}
    ${Boost_INCLUDE_DIR}
)

link_directories(
    ${Boost_LIBRARY_DIRS}
)

add_library(rfnoc-example SHARED
    ${rfnoc_example_sources}
)
target_link_libraries(rfnoc-example
    ${UHD_LIBRARIES}
    ${Boost_LIBRARIES}
    ${GNURADIO_ALL_LIBRARIES}
    ${ETTUS_LIBRARIES}
)
set_target_properties(rfnoc-example
    PROPERTIES DEFINE_SYMBOL "rfnoc_example_EXPORTS")

########################################################################
# Install built library files
########################################################################
install(TARGETS rfnoc-example
    LIBRARY DESTINATION lib${LIB_SUFFIX} # .so/.dylib file
    ARCHIVE DESTINATION lib${LIB_SUFFIX} # .lib file
    RUNTIME DESTINATION bin              # .dll file
)

########################################################################
# Build and register unit test
########################################################################
#include(GrTest)
#
#include_directories(${CPPUNIT_INCLUDE_DIRS})
#
#list(APPEND test_gain_sources
#    ${CMAKE_CURRENT_SOURCE_DIR}/test_gain.cc
#    ${CMAKE_CURRENT_SOURCE_DIR}/qa_gain.cc
#)
#
#add_executable(test-gain ${test_gain_sources})
#
#target_link_libraries(
#  test-gain
#  ${GNURADIO_RUNTIME_LIBRARIES}
#  ${Boost_LIBRARIES}
#  ${CPPUNIT_LIBRARIES}
#  ${ETTUS_LIBRARIES}
#  ${PC_ETTUS_LIBDIR}
#  gnuradio-gain
#)
#
#GR_ADD_TEST(test_gain test-gain)

=== host/include/uhd/rfnoc/core/CMakeLists.txt ===
#
# Copyright 2019 Ettus Research, a National Instruments Brand
#
# SPDX-License-Identifier: GPL-3.0-or-later
#

file(GLOB yml_files "*.yml")
file(GLOB json_files "*.json")

# We always need this, even when RFNoC is 'disabled'
UHD_INSTALL(
    FILES ${yml_files} ${json_files}
    DESTINATION ${PKG_DATA_DIR}/rfnoc/core
    COMPONENT headers # TODO: Different component
)

=== debian/control ===
Source: uhd
Section: science
Priority: optional
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: dpkg-dev (>= 1.22.5), cmake,
               debhelper-compat (= 13),
               dh-python,
               libboost-date-time-dev,
               libboost-dev,
               libboost-filesystem-dev,
               libboost-program-options-dev,
               libboost-python-dev,
               libboost-regex-dev,
               libboost-serialization-dev,
               libboost-system-dev,
               libboost-test-dev,
               libboost-thread-dev,
               libdpdk-dev (>=20) [amd64 arm64 ppc64el],
               libgps-dev,
               libncurses-dev,
               liborc-0.4-dev,
               libudev-dev [linux-any],
               libusb-1.0-0-dev [linux-any hurd-i386],
               libusb2-dev [kfreebsd-any],
               ninja-build,
               python3-dev,
               python3-mako,
               python3-numpy,
               python3-requests,
	       python3-ruamel.yaml,
               python3-setuptools
Build-Depends-Indep: doxygen,
		     doxygen-latex,
		     graphviz [!powerpcspe]
Standards-Version: 4.7.0
Homepage: https://www.ettus.com/sdr-software/uhd-usrp-hardware-driver/
Vcs-Browser: https://salsa.debian.org/bottoms/pkg-uhd
Vcs-Git: https://salsa.debian.org/bottoms/pkg-uhd.git

Package: uhd-host
Architecture: any
Depends: libuhd4.7.0 (= ${binary:Version}),
         python3-requests,
	 python3-uhd,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: curl, procps
Suggests: fdisk, gnuradio
Description: universal hardware driver for Ettus Research products - host apps
 Host utilities for the Universal Hardware Driver for Ettus Research products.
 .
 The supported devices provide analog radio receiver and transmitter hardware
 along with digital interfaces for getting signals to and from a software
 defined radio running on the host computer.
 .
 This package includes the uhd_find_devices application to locate and
 configure attached peripherals, the uhd_usrp_probe application to
 display hardware configuration information and Doxygen generated
 documentation.

Package: libuhd4.7.0
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: uhd-host
Multi-Arch: same
Description: universal hardware driver for Ettus Research products - library
 Host library for the Universal Hardware Driver for Ettus Research products.
 .
 The supported devices provide analog radio receiver and transmitter hardware
 along with digital interfaces for getting signals to and from a software
 defined radio running on the host computer.

Package: libuhd4.7.0-dpdk
Architecture: amd64 arm64 ppc64el
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: uhd-host
Conflicts: libuhd4.7.0
Replaces: libuhd4.7.0
Provides: libuhd4.7.0
Multi-Arch: same
Description: universal hardware driver for Ettus Research products - DPDK
 Host library for the Universal Hardware Driver for Ettus Research products.
 .
 The supported devices provide analog radio receiver and transmitter hardware
 along with digital interfaces for getting signals to and from a software
 defined radio running on the host computer.
 .
 This package is built with the Data Plane Development Kit and has additional
 dependencies and system configuration requirements to use those features.

Package: libuhd4.7.0-dpdk-tests
Architecture: amd64 arm64 ppc64el
Depends: libuhd4.7.0-dpdk (= ${binary:Version}),
         ${misc:Depends}, ${shlibs:Depends}
Description: universal hardware driver for Ettus Research products - DPDK tests
 Network tests for the Universal Hardware Driver for Ettus Research products.
 .
 This package is built with the Data Plane Development Kit and has additional
 dependencies and system configuration requirements to use those features.

Package: libuhd-dev
Architecture: any
Section: libdevel
Depends: libuhd4.7.0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Recommends: gnuradio-dev
Suggests: uhd-doc
Multi-Arch: same
Description: universal hardware driver for Ettus Research products - headers
 Host library for the Universal Hardware Driver for Ettus Research products.
 .
 The supported devices provide analog radio receiver and transmitter hardware
 along with digital interfaces for getting signals to and from a software
 defined radio running on the host computer.
 .
 This package contains the header files for developing with libuhd.
 Doxygen generated documentation is in the uhd-host package.

Package: python3-uhd
Architecture: any
Section: python
Depends: libuhd4.7.0 (= ${binary:Version}),
         python3-ruamel.yaml,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: gnuradio
Breaks: uhd-host (<< 4.5.0.0)
Description: universal hardware driver for Ettus Research products - Python3
 Host library for the Universal Hardware Driver for Ettus Research products.
 .
 The supported devices provide analog radio receiver and transmitter hardware
 along with digital interfaces for getting signals to and from a software
 defined radio running on the host computer.
 .
 This package contains the Python API support for Python3.

Package: uhd-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, libjs-mathjax
Breaks: uhd-host (<< 4.0.0.0-3)
Replaces: uhd-host (<< 4.0.0.0)
Description: universal hardware driver for Ettus Research products - doc
 Detailed documentation for the Universal Hardware Driver.
 .
 This package includes the Doxygen generated documentation.
